[gnome-commander] Add update-project-status.sh to the git repo, activate it in the pre-push hook
- From: Uwe Scholz <uwescholz src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [gnome-commander] Add update-project-status.sh to the git repo, activate it in the pre-push hook
- Date: Mon, 31 Jan 2022 21:35:46 +0000 (UTC)
commit 38af459af94e392ca8f84587bae4466538b52717
Author: Uwe Scholz <u scholz83 gmx de>
Date: Mon Jan 31 22:35:26 2022 +0100
Add update-project-status.sh to the git repo, activate it in the pre-push hook
This is currently only used for collecting a list of available translations
git-scripts/pre-push | 2 +-
git-scripts/update-project-status.sh | 34 ++++++++++++++++++++++++++++++++++
status.json | 1 +
3 files changed, 36 insertions(+), 1 deletion(-)
---
diff --git a/git-scripts/pre-push b/git-scripts/pre-push
index 40e31d40..ccc14939 100755
--- a/git-scripts/pre-push
+++ b/git-scripts/pre-push
@@ -1,6 +1,6 @@
#!/bin/sh
-make && make check
+git-scripts/update-project-status.sh && make && make check
RESULT=$?
diff --git a/git-scripts/update-project-status.sh b/git-scripts/update-project-status.sh
new file mode 100755
index 00000000..001a9b5f
--- /dev/null
+++ b/git-scripts/update-project-status.sh
@@ -0,0 +1,34 @@
+#!/bin/bash
+#-------------------------------------------------------------------------------
+# Copyright (C) 2018-2020 Andreas Redmer <ar-appleflinger abga be com>
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+#-------------------------------------------------------------------------------
+
+# This script is copied from
https://gitlab.com/ar-/apple-flinger/-/blob/master/scripts/update-project-status.sh
+# and adapted to collect information about the currently available translations.
+
+translations=`ls po/*.po -1 | wc -l`
+
+echo "{\"translations\":\"$translations\"}" > /tmp/status.json
+
+diff /tmp/status.json status.json
+DIFF_RETURN=$?
+
+if [ $DIFF_RETURN != "0" ]
+then
+ echo "New translation updates found. Updating status file. Commit again"
+ cat /tmp/status.json > status.json
+ exit 1
+fi
diff --git a/status.json b/status.json
new file mode 100644
index 00000000..1ec32d67
--- /dev/null
+++ b/status.json
@@ -0,0 +1 @@
+{"translations":"49"}
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]